Skip to main content
POST
/
v1
/
caller-trust
/
enterprise
Create or update the caller's enterprise registration draft
curl --request POST \
  --url https://api.revdesk.com/v1/caller-trust/enterprise \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "legal_name": "<string>",
  "dba": "<string>",
  "country_code": "US",
  "website": "<string>",
  "fein": "<string>",
  "organization_contact": {
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "jsmith@example.com",
    "job_title": "<string>",
    "phone": "<string>"
  },
  "billing_contact": {
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "jsmith@example.com",
    "phone_number": "<string>"
  },
  "organization_address": {
    "country": "<string>",
    "administrative_area": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "street_address": "<string>",
    "extended_address": "<string>"
  },
  "billing_address": {
    "country": "<string>",
    "administrative_area": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "street_address": "<string>",
    "extended_address": "<string>"
  }
}
'
{
  "data": {
    "id": "<string>",
    "legal_name": "<string>",
    "dba": "<string>",
    "status": "<string>",
    "role_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

UUID — when present, deduplicates repeat submissions. See /api-reference/idempotency.

Body

application/json
Required string length: 3 - 64
dba
string
required
Required string length: 1 - 255
organization_type
enum<string>
required
Available options:
COMMERCIAL,
GOVERNMENT,
NON_PROFIT
country_code
string
default:US
required
Required string length: 2
website
string
required
Required string length: 1 - 255
fein
string
required
Required string length: 9 - 20
industry
enum<string>
required
Available options:
accounting,
finance,
billing,
collections,
business,
charity,
nonprofit,
communications,
telecom,
customer service,
support,
delivery,
shipping,
logistics,
education,
financial,
banking,
government,
public,
healthcare,
health,
pharmacy,
medical,
insurance,
legal,
law,
notifications,
scheduling,
real estate,
property,
retail,
ecommerce,
sales,
marketing,
software,
technology,
tech,
media,
surveys,
market research,
travel,
hospitality,
hotel
jurisdiction_of_incorporation
enum<string>
required
Available options:
AL,
AK,
AZ,
AR,
CA,
CO,
CT,
DE,
DC,
FL,
GA,
HI,
ID,
IL,
IN,
IA,
KS,
KY,
LA,
ME,
MD,
MA,
MI,
MN,
MS,
MO,
MT,
NE,
NV,
NH,
NJ,
NM,
NY,
NC,
ND,
OH,
OK,
OR,
PA,
RI,
SC,
SD,
TN,
TX,
UT,
VT,
VA,
WA,
WV,
WI,
WY,
AS,
GU,
MP,
PR,
VI
number_of_employees
enum<string>
required
Available options:
SIZE_1_10,
SIZE_11_50,
SIZE_51_200,
SIZE_201_500,
SIZE_501_2000,
SIZE_2001_10000,
SIZE_10001_PLUS
Available options:
CORPORATION,
LLC,
PARTNERSHIP,
NONPROFIT,
OTHER
organization_contact
object
required
billing_contact
object
required
organization_address
object
required
billing_address
object
required

Response

Success

data
object
required